> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Raast Merchants

> Find all the available Raast merchants available on Safepay. Link your desired merchant with a Raast merchant to process payments for them



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/raast-merchants
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/raast-merchants:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
    get:
      tags:
        - Raast Merchants
      summary: List Raast Merchants
      description: >-
        Find all the available Raast merchants available on Safepay. Link your
        desired merchant with a Raast merchant to process payments for them
      parameters:
        - $ref: '#/components/parameters/RaastMerchantListLimitParam'
        - $ref: '#/components/parameters/RaastMerchantListOffsetParam'
        - $ref: '#/components/parameters/RaastMerchantListStatusParam'
        - $ref: '#/components/parameters/RaastMerchantListNameParam'
      responses:
        '200':
          $ref: '#/components/responses/ListRaastMerchantsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    RaastMerchantListLimitParam:
      name: limit
      in: query
      required: false
      description: Maximum number of Raast merchants to return in the current page.
      schema:
        type: string
        example: '10'
      example: '10'
    RaastMerchantListOffsetParam:
      name: offset
      in: query
      required: false
      description: Number of Raast merchant records to skip before starting the result set.
      schema:
        type: string
        example: '0'
      example: '0'
    RaastMerchantListStatusParam:
      name: status
      in: query
      required: false
      description: Filter Raast merchants by onboarding status.
      schema:
        type: string
        enum:
          - Active
          - Inactive
          - Suspended
        example: Active
      example: Active
    RaastMerchantListNameParam:
      name: name
      in: query
      required: false
      description: Filter Raast merchants by name.
      schema:
        type: string
        example: Raast-Saphir-Merch
      example: Raast-Saphir-Merch
  responses:
    ListRaastMerchantsResponse:
      description: This response contains Raast merchant directory records
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    type: object
                    properties:
                      merchants:
                        type: array
                        description: >-
                          Collection of Raast merchants visible to the
                          aggregator
                        items:
                          $ref: '#/components/schemas/RaastMerchant'
                      count:
                        type: string
                        description: Total number of Raast merchants matching the filter
          examples:
            ListRaastMerchantsSecretKey:
              $ref: '#/components/examples/ListRaastMerchantsSecretKey'
    Unauthorized:
      description: Unauthorized
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
          examples:
            Unauthorized:
              value:
                api_version: v1
                error:
                  code: error.unauthorized_access
                  message: partner access key is required in request header
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    RaastMerchant:
      type: object
      description: Raast merchant profile synchronized from the state bank registry
      properties:
        id:
          type: string
          description: Internal Safepay identifier for the Raast merchant record
        token:
          type: string
          description: Public Raast merchant token
        partner_id:
          type: string
          description: Identifier of the upstream partner associated with the merchant
        raast_record_id:
          type: string
          description: Identifier issued by the Raast directory
        status:
          type: string
          description: Current activation status reported by Raast
        uid_type:
          type: string
          description: Type of the merchant unique identifier such as NTN or CNIC
        uid_value:
          type: string
          description: Value of the unique identifier registered with Raast
        name:
          type: string
          description: Legal entity name on file with Raast
        document_type:
          type: string
          description: Supporting document type recorded during onboarding
        document_number:
          type: string
          description: Number of the supporting document
        address_details:
          type: object
          description: Merchant registered address per Raast records
          properties:
            country:
              type: string
              description: ISO 3166-1 alpha-2 country code
            city:
              type: string
              description: City of the address
            state_province_region:
              type: string
              description: Province or region of the address
            address_line:
              type: string
              description: Street-level address line
        contact_details:
          type: object
          description: Merchant contact information on file
          properties:
            mobile_number:
              type: string
              description: Merchant contact mobile number in E.164 format
            email:
              type: string
              format: email
              description: Merchant contact email address
        additional_details:
          type: object
          description: Optional public metadata collected during onboarding
          properties:
            dba:
              type: string
              description: Doing-business-as name if different from the legal name
            mcc:
              type: string
              description: Merchant category code associated with the merchant
            lat:
              type: string
              description: Latitude coordinate when available
            long:
              type: string
              description: Longitude coordinate when available
        additional_details_private:
          type: object
          description: Safepay private metadata for the Raast merchant
        created_at:
          $ref: '#/components/schemas/Timestamp'
        updated_at:
          $ref: '#/components/schemas/Timestamp'
    ApiErrorEnvelope:
      type: object
      description: Error wrapper that includes the API version and error metadata
      properties:
        api_version:
          type: string
          description: Indicates the API version associated with the response
          example: v1
        error:
          description: Structured error details describing why the request failed
          allOf:
            - $ref: '#/components/schemas/ErrorResponse'
          example:
            code: error.unauthorized_access
            message: partner access key is required in request header
    Timestamp:
      type: string
      format: date-time
      description: ISO 8601 timestamp in UTC
      example: '2025-03-13T09:12:34.000Z'
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  examples:
    ListRaastMerchantsSecretKey:
      description: Example response when listing Raast merchants with the secret key header
      value:
        api_version: v1
        data:
          merchants:
            - id: '32'
              token: mer_2cab1524-805d-4a09-8e51-924ddf3f43ea
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '483177'
              status: Active
              uid_type: NTN
              uid_value: '33225247896001'
              name: Raast-Saphir-Merch
              document_type: NTN
              document_number: '33225247896001'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: h193c1 street
              contact_details:
                mobile_number: '+9233330226445'
                email: sapphire.bus@gmail.com
              additional_details:
                dba: The best business 101
                mcc: '9032'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-12T07:06:06Z'
              updated_at: '2025-09-12T10:46:06Z'
            - id: '31'
              token: mer_68d6a9d0-525e-4d53-9050-b8ee7bb58a59
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '483174'
              status: Inactive
              uid_type: NTN
              uid_value: '33225247890479'
              name: Hel-Saphire
              document_type: NTN
              document_number: '33225247890479'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: h193c1 street
              contact_details:
                mobile_number: '+9233330226445'
                email: testing1702@gmail.com
              additional_details:
                dba: The best business 200
                mcc: '0030'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-12T06:25:31Z'
              updated_at: '2025-09-12T06:25:31Z'
            - id: '30'
              token: mer_dccb8cd9-3b5d-473d-a12e-71816f009f14
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: ''
              status: ''
              uid_type: NTN
              uid_value: '33225247890509'
              name: Blue Wave
              document_type: NTN
              document_number: '33225247890509'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Punjab
                address_line: h193c1 street
              contact_details:
                mobile_number: '+9233330224921'
                email: testing.dev@gmail.com
              additional_details:
                dba: The best business 201
                mcc: '0030'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-11T09:58:19Z'
              updated_at: '2025-09-11T09:58:19Z'
            - id: '29'
              token: mer_2e741c64-e205-4efb-ac49-7388bb991c28
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '483008'
              status: Active
              uid_type: NTN
              uid_value: '33225247890212'
              name: Express
              document_type: NTN
              document_number: '33225247890212'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh-1
                address_line: Block-11 Federal.B. Area
              contact_details:
                mobile_number: '+923001234302'
                email: testing1702@gmail.com
              additional_details:
                dba: The best business 200
                mcc: '5490'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-04T08:18:21Z'
              updated_at: '2025-09-10T05:58:27Z'
            - id: '28'
              token: mer_c95a9e5b-7626-468a-b06b-1ebc92fb0290
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '483007'
              status: Active
              uid_type: NTN
              uid_value: '33225247890499'
              name: Saphire
              document_type: NTN
              document_number: '33225247890499'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: h193c1 street
              contact_details:
                mobile_number: '+9233330226445'
                email: testing1702@gmail.com
              additional_details:
                dba: The best business 200
                mcc: '0030'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-04T07:18:03Z'
              updated_at: '2025-09-04T08:04:45Z'
            - id: '27'
              token: mer_fa5e8121-1b60-4b8f-969f-8e9d2594df74
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '482975'
              status: Active
              uid_type: NTN
              uid_value: '33225244890211'
              name: SFPY RAAST
              document_type: NTN
              document_number: '33225244890211'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: Also somewhere over there
              contact_details:
                mobile_number: '+9233330226445'
                email: suleman.shishmahal@gmail.com
              additional_details:
                dba: Testing SPFY RAAST
                mcc: '3434'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-02T08:16:56Z'
              updated_at: '2025-09-03T11:07:07Z'
            - id: '26'
              token: mer_47a61ae8-c5a8-4734-b73a-421ce42b3dc6
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '482953'
              status: Active
              uid_type: NTN
              uid_value: '33225247840432'
              name: Safepay RAAST MR
              document_type: NTN
              document_number: '33225247840432'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: Somewhere over there
              contact_details:
                mobile_number: '+9233330226445'
                email: sshishmahal@getsafepay.com
              additional_details:
                dba: Safepay RAAST
                mcc: '3434'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-09-02T05:28:30Z'
              updated_at: '2025-09-02T05:34:00Z'
            - id: '25'
              token: mer_63b32978-8af7-41b8-88fc-d027be766f77
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '482791'
              status: Active
              uid_type: NTN
              uid_value: '33225247899613'
              name: fat_merchant
              document_type: NTN
              document_number: '33225247899613'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: random street
              contact_details:
                mobile_number: '+9233330226892'
                email: fat.dev@gmail.com
              additional_details:
                dba: The business 890
                mcc: '5865'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-08-20T09:08:49Z'
              updated_at: '2025-08-20T09:09:16Z'
            - id: '24'
              token: mer_d5de390d-93c6-4f4d-b77e-112b080be2e8
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '482757'
              status: Active
              uid_type: NTN
              uid_value: '33225247899907'
              name: ssh_merchant
              document_type: NTN
              document_number: '33225247899907'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: random street
              contact_details:
                mobile_number: '+9233330226892'
                email: ssh.dev@gmail.com
              additional_details:
                dba: The business 009
                mcc: '5865'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-08-18T10:40:48Z'
              updated_at: '2025-08-28T09:09:06Z'
            - id: '23'
              token: mer_5c31f8a9-2720-4f7a-9eb3-57241cfed288
              partner_id: partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c
              raast_record_id: '482591'
              status: Active
              uid_type: NTN
              uid_value: '33225247892403'
              name: rashid_merchant
              document_type: NTN
              document_number: '33225247892403'
              address_details:
                country: PK
                city: Karachi
                state_province_region: Sindh
                address_line: random street
              contact_details:
                mobile_number: '+9233330226007'
                email: rashid.dev@gmail.com
              additional_details:
                dba: The business 110
                mcc: '5879'
                lat: ''
                long: ''
              additional_details_private: {}
              created_at: '2025-08-08T11:09:51Z'
              updated_at: '2025-08-11T10:26:32Z'
          count: '27'
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````